# locale_classes.h File Reference

Go to the source code of this file.

## Classes

- class std::collate< _CharT >
    Facet for localized string comparison. More...
- class std::collate_byname< _CharT >
    class collate_byname [22.2.4.2]. More...
- class std::locale
    Container class for localization functionality. More...
- class std::locale::locale::facet
    Localization functionality base class. More...
- class std::locale::locale::id
    Facet ID class. More...

## Namespaces

- namespace std

## Defines

- #define _LOCALE_CLASSES_H

## Functions

- template<typename _Facet > bool std::has_facet (const locale &__loc) throw ()
- template<typename _Facet > const _Facet & std::use_facet (const locale &__loc)

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file locale_classes.h.